Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(Test.pm) perl(open.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-XML-Smart
Version:        1.77
Release:        alt1_1
Summary:        Smart, easy and powerful way to access/create XML files/data
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/XML-Smart/
Source0:        http://www.cpan.org/authors/id/T/TM/TMHARISH/XML-Smart-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Object/MultiType.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
This module provides an easy way to access/create XML data. It's based on a
HASH tree created from the XML data, and enables dynamic access to it
through the standard Perl syntax for Hash and Array, without necessarily
caring about which you are working with. In other words, each point in the
tree works as a Hash and an Array at the same time!

%prep
%setup -q -n XML-Smart-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;



%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/*


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 1.77-alt1_1
- update to new release by fcimport

* Wed Nov 21 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.9-alt2_14
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.9-alt2_13
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.9-alt2_11
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.9-alt1_11
- fc import

